SystemOrganization addCategory: #GODKernelTests!

TestCase subclass: #GODDataTest
	instanceVariableNames: 'godData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODKernelTests'!

!GODDataTest methodsFor: 'initialize-release' stamp: 'has 9/18/2014 15:30'!
setUp
	godData := GODData new.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/20/2014 20:20'!
testAddDuplicatedTag
	godData addTag: 'newTag'.
	self should: [godData addTag: 'newTag'.] raise: Error! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/26/2014 23:55'!
testAddGODDataInLayoutGrid

	| newGod |

	godData layoutGridRowSize: 3 columnSize: 2.
	newGod := GODData new.
	newGod height: 3.
	newGod width: 5.
	godData addOnLayoutGrid: newGod at: 1 at: 2.
	self assert: (godData layoutGrid includes: newGod) = true.
	self assert: (godData layoutGrid at: 1 at: 2) width = 5.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/18/2014 16:39'!
testAddNewTag
	godData addTag: 'newTag'.
	self assert: (godData tags size) = 1.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 23:12'!
testAddWrongObjectInLayoutGrid

	godData layoutGridRowSize: 3 columnSize: 2.
	self should: [godData addOnLayoutGrid: 5 at: 1 at: 2] raise: Error.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:23'!
testCompareEmptyGODDatas
	
	|godData1 godData2|	

	godData1 := GODData new.
	godData2 := GODData new.
	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:29'!
testCompareGODDatasWithDifferentContent
	
	|godData1 godData2|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData1 title: 'comparing'.
	godData2 title: 'different'.

	self assert: (godData1 = godData2) = false.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:31'!
testCompareGODDatasWithDifferentTags
	
	|godData1 godData2|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData1 addTag: 'equal'.
	godData2 addTag: 'equal'.
	godData1 addTag: 'diff'.
	godData2 addTag: 'different'.

	self assert: (godData1 = godData2) = false.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:27'!
testCompareGODDatasWithSameContent
	
	|godData1 godData2|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData1 title: 'comparing'.
	godData2 title: 'comparing'.

	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:32'!
testCompareGODDatasWithSameTags
	
	|godData1 godData2|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData1 addTag: 'equal'.
	godData2 addTag: 'equal'.
	
	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:48'!
testCompareLayoutGridEmptyWithDifferentSize
	
	|godData1 godData2 godData3|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData1 layoutGridRowSize: 3 columnSize: 2.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	self assert: (godData1 = godData2) = false.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:47'!
testCompareLayoutGridEmptyWithSameSize
	
	|godData1 godData2 godData3|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData1 layoutGridRowSize: 2 columnSize: 3.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:53'!
testCompareLayoutGridWithDifferentGODDatas
	
	|godData1 godData2 godData3 godData4|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData4 := GODData new.
	godData4 title: 'different'.
	godData1 layoutGridRowSize: 2 columnSize: 3.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	godData1 addOnLayoutGrid: godData3 at: 1 at: 2.
	godData2 addOnLayoutGrid: godData4 at: 1 at: 2.
	self assert: (godData1 = godData2) = false.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:55'!
testCompareLayoutGridWithEmptyGODDatas
	
	|godData1 godData2 godData3 godData4|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData4 := GODData new.
	godData1 layoutGridRowSize: 2 columnSize: 3.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	godData1 addOnLayoutGrid: godData3 at: 1 at: 2.
	godData2 addOnLayoutGrid: godData4 at: 1 at: 2.
	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:57'!
testCompareLayoutGridWithEqualGODDatas
	
	|godData1 godData2 godData3 godData4|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData4 := GODData new.
	godData3 title: 'equal'.
	godData4 title: 'equal'.
	godData1 layoutGridRowSize: 2 columnSize: 3.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	godData1 addOnLayoutGrid: godData3 at: 1 at: 2.
	godData2 addOnLayoutGrid: godData4 at: 1 at: 2.
	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 23:02'!
testCompareLayoutGridWithEqualGODDatasDifferentPositions
	
	|godData1 godData2 godData3 godData4|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData4 := GODData new.
	godData3 title: 'equal'.
	godData4 title: 'equal'.
	godData1 layoutGridRowSize: 2 columnSize: 3.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	godData1 addOnLayoutGrid: godData3 at: 2 at: 1.
	godData2 addOnLayoutGrid: godData4 at: 2 at: 2.
	self assert: (godData1 = godData2) = false.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:45'!
testCompareLayoutGridWithSameGODData
	
	|godData1 godData2 godData3|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData3 := GODData new.
	godData1 layoutGridRowSize: 2 columnSize: 3.
	godData2 layoutGridRowSize: 2 columnSize: 3.
	godData1 addOnLayoutGrid: godData3 at: 1 at: 2.
	godData2 addOnLayoutGrid: godData3 at: 1 at: 2.
	self assert: (godData1 = godData2) = true.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 10/3/2014 22:36'!
testCompareOneEmptyGODDatas
	
	|godData1 godData2|	

	godData1 := GODData new.
	godData2 := GODData new.
	godData2 content: 'not empty'.
	self assert: (godData1 = godData2) = false.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/26/2014 23:37'!
testCreateLayoutGrid
	godData layoutGridRowSize: 3 columnSize: 2.
	self assert: (godData layoutGrid size) = 6.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/27/2014 00:10'!
testGetGODDataInLayoutGrid

	| newGod |

	godData layoutGridRowSize: 3 columnSize: 2.
	newGod := GODData new.
	godData addOnLayoutGrid: newGod at: 1 at: 2.
	self assert: (godData layoutGrid at: 1 at: 2) = newGod.! !

!GODDataTest methodsFor: 'tests' stamp: 'has 9/27/2014 00:09'!
testGetIndexInLayoutGrid

	| newGod |

	godData layoutGridRowSize: 3 columnSize: 2.
	newGod := GODData new.
	godData addOnLayoutGrid: newGod at: 1 at: 2.
	self assert: (godData layoutGrid indexOf: newGod) = (1@2).! !
